﻿using System;
using System.Collections.Specialized;
using System.Configuration;

namespace NorthwindCacheDemo.BLL
{
    public static class ServiceLayer
    {
        private static CatalogService _catalogService;

        private static OrderService _orderService;

        static ServiceLayer()
        {
            _catalogService = new CatalogService();
            _orderService = new OrderService();
        }

        public static CatalogService CatalogService
        {
            get
            {
                return _catalogService;
            }
        }

        public static OrderService OrderService
        {
            get
            {
                return _orderService;
            }
        }
    }
}
