﻿using System;
using System.Collections.Generic;

using NorthwindCacheDemo.DTO;

namespace NorthwindCacheDemo.DAL
{
    public interface ICatalogProvider
    {
        IList<Category> GetCategories();
        
        Category GetCategory(int id);
        
        Product GetProduct(int id);

        IList<Product> GetProductsByCategory(int id);

        IList<Product> GetPopularProducts();

        IList<Product> GetPopularProductsByCategory(int id);

        IList<Product> GetAlsoPurchasedProducts(int id);
    }
}
