﻿using System;

namespace NorthwindCacheDemo.DTO
{
    public class Order
    {
        private int _orderID;

        private DateTime _orderDate;

        private string _shipName;

        private string _shipAddress;

        private string _shipCity;

        private string _shipRegion;

        private string _shipPostalCode;

        private string _shipCountry;

        public Order()
        {
            _orderID = 0;

            _orderDate = DateTime.MinValue;

            _shipName = null;

            _shipAddress = null;

            _shipCity = null;

            _shipRegion = null;

            _shipPostalCode = null;

            _shipCountry = null;
        }

        public int OrderID
        {
            get
            {
                return _orderID;
            }
            set
            {
                _orderID = value;
            }
        }

        public DateTime OrderDate
        {
            get
            {
                return _orderDate;
            }
            set
            {
                _orderDate = value;
            }
        }

        public string ShipName
        {
            get
            {
                return _shipName;
            }
            set
            {
                _shipName = value;
            }
        }

        public string ShipAddress
        {
            get
            {
                return _shipAddress;
            }
            set
            {
                _shipAddress = value;
            }
        }

        public string ShipCity
        {
            get
            {
                return _shipCity;
            }
            set
            {
                _shipCity = value;
            }
        }

        public string ShipRegion
        {
            get
            {
                return _shipRegion;
            }
            set
            {
                _shipRegion = value;
            }
        }

        public string ShipPostalCode
        {
            get
            {
                return _shipPostalCode;
            }
            set
            {
                _shipPostalCode = value;
            }
        }

        public string ShipCountry
        {
            get
            {
                return _shipCountry;
            }
            set
            {
                _shipCountry = value;
            }
        }
    }
}
