﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="Cart.aspx.cs" Inherits="Cart" %>

<asp:Content ID="MainContent" ContentPlaceHolderID="MainContentPlaceHolder" Runat="Server">
    <h1>Shopping Cart</h1>
    
    <asp:Panel ID="ShoppingPanel" runat="server">
        <asp:GridView ID="CartGridView" runat="server"
            AutoGenerateColumns="false"
            AllowPaging="false"
            AllowSorting="false" 
            Width="100%"
            HeaderStyle-BackColor="#647a90"
            HeaderStyle-ForeColor="#FFFFFF"
            HeaderStyle-HorizontalAlign="Left"
            CellPadding="4"
            CellSpacing="0"
            BorderColor="#f2f2f5"
            BorderStyle="Solid"
            BorderWidth="1px"
            AlternatingRowStyle-BackColor="#F8F8F8"
            OnRowDataBound="CartGridView_RowDataBound">
            <Columns>
                <asp:TemplateField HeaderText="ProductID" Visible="false" ShowHeader="false">
                    <ItemTemplate>
                        <asp:Label id="ProductIDLabel" runat="server" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Name">
                    <ItemTemplate>
                        <asp:HyperLink ID="ProductLink" runat="server" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Quantity" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center">
                    <ItemTemplate>
                        <asp:TextBox ID="QuantityTextBox" Width="50px" runat="server" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Unit Price" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center">
                    <ItemTemplate>
                        <asp:Label ID="UnitPriceLabel" runat="server" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Remove" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center">
                    <ItemTemplate>
                        <asp:CheckBox ID="RemoveCheckBox" runat="server" Checked="false" />
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
    
        <div id="cart_summary">
            <p>Total: <asp:Label ID="TotalLabel" runat="server" /></p>
            <asp:Button ID="UpdateCartButton" runat="server" Text="Update Cart" onclick="UpdateCartButton_Click" />                
            <asp:Button ID="CheckoutButton" runat="server" Text="Checkout" onclick="CheckoutButton_Click" />
        </div>
    </asp:Panel>
    
    <asp:Label ID="Message" Text="Your shopping cart is empty" Visible="false" runat="server" />
</asp:Content>

