﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Configuration;

using NorthwindCacheDemo.DTO;
using NorthwindCacheDemo.BLL;

public partial class Catalog : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {        
        if (!IsPostBack)
        {
            int id = Convert.ToInt32(Request.Params["id"]);
        
            Category c = ServiceLayer.CatalogService.GetCategory(id);
            IList<Product> products = ServiceLayer.CatalogService.GetProductsByCategory(id);

            CategoryLabel.Text = c.Name;
            CategoryImage.ImageUrl = String.Format("~/images/{0}.jpg", c.CategoryID);

            ProductGridView.DataSource = products;
            ProductGridView.DataBind();
        }
    }
}
