﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<asp:Content ID="MainContent" ContentPlaceHolderID="MainContentPlaceHolder" Runat="Server">
    <h1>Welcome to Northwind!</h1>
    <div id="product_categories">
        <asp:DataList ID="ProductCategoryDataList" runat="server" RepeatColumns="2" 
            RepeatDirection="Horizontal" RepeatLayout="Table" Width="100%"
            onitemdatabound="ProductCategoryDataList_ItemDataBound">
            <ItemTemplate>
                <div class="category_block">
                    <div class="title_block">
                        <asp:HyperLink ID="CategoryLink" CssClass="topic_link" NavigateUrl='<%# "~/Catalog.aspx?id=" + DataBinder.Eval(Container.DataItem, "CategoryID") %>' runat="server"><%# DataBinder.Eval(Container.DataItem, "Name") %></asp:HyperLink>
                    </div>
                    <div class="category_summary">
                        <div class="product_category">
                            <asp:HyperLink ID="ImageLink" runat="server" NavigateUrl='<%# "~/Catalog.aspx?id=" + DataBinder.Eval(Container.DataItem, "CategoryID") %>'><asp:Image ID="ProductImage" Width="70px" Height="50px" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" runat="server" ImageUrl='<%# "~/images/" + DataBinder.Eval(Container.DataItem, "CategoryID") + ".jpg" %>' /></asp:HyperLink>
                        </div>
                        <div class="category_top_sellers">
                            <asp:Repeater ID="ProductRepeater" runat="server">
                                <HeaderTemplate>
                                    <ul>
                                </HeaderTemplate>
                                <ItemTemplate>
                                    <li><asp:HyperLink ID="ProductLink" runat="server" NavigateUrl='<%# "~/Product.aspx?id=" + DataBinder.Eval(Container.DataItem, "ProductID") %>'><%# DataBinder.Eval(Container.DataItem, "Name") %></asp:HyperLink></li>
                                </ItemTemplate>
                                <FooterTemplate>
                                    </ul>
                                </FooterTemplate>
                            </asp:Repeater>
                        </div>
                    </div>
                </div>
            </ItemTemplate>
        </asp:DataList>
    </div>
</asp:Content>

<asp:Content ID="SideContent" ContentPlaceHolderID="SideContentPlaceHolder" Runat="Server">
    <div id="popular_products">
        <h1>Top Sellers</h1>
        <asp:Repeater ID="PopularProductRepeater" runat="server">
            <ItemTemplate>
                <div class="popular">
                    <div class="popular_image">
                        <asp:HyperLink ID="ImageLink" runat="server" NavigateUrl='<%# "~/Product.aspx?id=" + DataBinder.Eval(Container.DataItem, "ProductID") %>'><asp:Image ID="ProductImage" Width="30px" runat="server" ImageUrl='<%# "~/images/" + DataBinder.Eval(Container.DataItem, "CategoryID") + ".jpg" %>' /></asp:HyperLink>
                    </div>
                    <div class="popular_info">
                        <asp:HyperLink ID="ProductLink" runat="server" NavigateUrl='<%# "~/Product.aspx?id=" + DataBinder.Eval(Container.DataItem, "ProductID") %>'><%# DataBinder.Eval(Container.DataItem, "Name") %></asp:HyperLink>
                    </div>
                </div>
            </ItemTemplate>
        </asp:Repeater>
    </div>
</asp:Content>
