﻿using System;
using System.Collections.Specialized;
using System.Configuration;

namespace NorthwindCacheDemo.CL
{
    public static class CacheLayer
    {
        private static ICatalogCache _catalogCache;

        static CacheLayer()
        {
            NameValueCollection config = (NameValueCollection)ConfigurationManager.GetSection("northwindCacheDemo");

            Type t = Type.GetType(config["CatalogCache"]);
            _catalogCache = (ICatalogCache)Activator.CreateInstance(t);
        }

        public static ICatalogCache CatalogCache
        {
            get
            {
                return _catalogCache;
            }
        }
    }
}
