﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="Catalog.aspx.cs" Inherits="Catalog" %>

<asp:Content ID="MainContent" ContentPlaceHolderID="MainContentPlaceHolder" Runat="Server">
    <div class="page_header">
        <div style="float:left;margin-right:10px;">
            <asp:Image ID="CategoryImage" runat="server" Width="60px" BorderColor="#f2f2f5" BorderStyle="Solid" BorderWidth="1px" />
        </div>
        <div class="page_title">
            <h1><asp:Label ID="CategoryLabel" runat="server" /></h1>
        </div>
    </div>
    
    <div id="products">
        <asp:GridView ID="ProductGridView" runat="server"
            AutoGenerateColumns="false"
            AllowPaging="false"
            AllowSorting="false" 
            Width="100%"
            HeaderStyle-BackColor="#647a90"
            HeaderStyle-ForeColor="#FFFFFF"
            HeaderStyle-HorizontalAlign="Left"
            CellPadding="4"
            CellSpacing="0"
            BorderColor="#f2f2f5"
            BorderStyle="Solid"
            BorderWidth="1px"
            AlternatingRowStyle-BackColor="#f8f8f8">
            <Columns>
                <asp:HyperLinkField HeaderText="View Detail" ItemStyle-Width="80px" DataNavigateUrlFormatString="~/Product.aspx?id={0}" DataNavigateUrlFields="ProductID" Text="View Detail" />
                <asp:BoundField HeaderText="Name" DataField="Name" />
                <asp:BoundField HeaderText="Quantity per Unit" DataField="QuantityPerUnit" />
                <asp:BoundField HeaderText="Unit Price" DataField="UnitPrice" DataFormatString="{0:c}" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" />                
            </Columns>
        </asp:GridView>
    </div>
</asp:Content>

