﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using NorthwindCacheDemo.DTO;
using NorthwindCacheDemo.BLL;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            ProductCategoryDataList.DataSource = ServiceLayer.CatalogService.GetCategories();
            ProductCategoryDataList.DataBind();

            PopularProductRepeater.DataSource = ServiceLayer.CatalogService.GetPopularProducts();
            PopularProductRepeater.DataBind();
        }
    }

    protected void ProductCategoryDataList_ItemDataBound(object sender, DataListItemEventArgs e)
    {
        Category cat = (Category)e.Item.DataItem;
        Repeater r = (Repeater)e.Item.FindControl("ProductRepeater");
        r.DataSource = ServiceLayer.CatalogService.GetPopularProductsByCategory(cat.CategoryID);
        r.DataBind();
    }
}
