﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="Product.aspx.cs" Inherits="_Product" %>

<asp:Content ID="MainContent" ContentPlaceHolderID="MainContentPlaceHolder" Runat="Server">
    <div class="page_header">
        <div id="product_detail_image" style="float:left;margin-right:10px;">
            <asp:Image ID="ProductImage" BorderColor="#f2f2f5" BorderWidth="1px" Width="60px" runat="server" />    
        </div>
        <div class="page_title"><h1><asp:Label ID="ProductTitleLabel" runat="server" /></h1></div>
        <div id="add_to_cart">
            <asp:Button ID="AddToCartButton" runat="server" Text="Add to Cart" onclick="AddToCartButton_Click" />
        </div>
    </div>

    <div id="product_content">        
        <div id="product_detail">
            <dl>
                <dt><asp:Label ID="ProductNameTitle" Font-Bold="true" runat="server" Text="Product Name" /></dt>
                <dd><asp:Label ID="ProductNameLabel" runat="server" /></dd>
                
                <dt><asp:Label ID="QuantityPerUnitTitle" Font-Bold="true" runat="server" Text="Quantity per Unit" /></dt>
                <dd><asp:Label ID="QuantityPerUnitLabel" runat="server" /></dd>
                
                <dt><asp:Label ID="CategoryTitle" Font-Bold="true" runat="server" Text="Category" /></dt>
                <dd><asp:HyperLink ID="CategoryLink" runat="server" /></dd>
            
                <dt><asp:Label ID="UnitPriceTitle" Font-Bold="true" runat="server" Text="Unit Price" /></dt>
                <dd><asp:Label ID="UnitPriceLabel" runat="server" /></dd>
            </dl>            
        </div>
        
        <div id="also_purchased">
            <h4>Customers Who Bought This Item Also Bought</h4>
            <asp:GridView ID="ProductGridView" runat="server"
                AutoGenerateColumns="false"
                AllowPaging="false"
                AllowSorting="false" 
                Width="100%"
                HeaderStyle-BackColor="#647a90"
                HeaderStyle-ForeColor="#FFFFFF"
                HeaderStyle-HorizontalAlign="Left"
                CellPadding="4"
                CellSpacing="0"
                BorderColor="#f2f2f5"
                BorderStyle="Solid"
                BorderWidth="1px"
                AlternatingRowStyle-BackColor="#F8F8F8">
                <Columns>
                    <asp:HyperLinkField HeaderText="View Detail" ItemStyle-Width="80px" DataNavigateUrlFormatString="~/Product.aspx?id={0}" DataNavigateUrlFields="ProductID" Text="View Detail" />
                    <asp:BoundField HeaderText="Name" DataField="Name" />
                    <asp:BoundField HeaderText="Quantity per Unit" DataField="QuantityPerUnit" />
                    <asp:BoundField HeaderText="Unit Price" DataField="UnitPrice" DataFormatString="{0:c}" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" />                
                </Columns>
            </asp:GridView>
        </div>
    </div>    
</asp:Content>

<asp:Content ID="SideContent" ContentPlaceHolderID="SideContentPlaceHolder" runat="server">
</asp:Content>