﻿using System;
using System.Data.Caching;

namespace VelocityClientConsole
{
    class Program
    {
        static void Main(string[] args)
        {
            // Create the cache factory
            CacheFactory factory = new CacheFactory();

            // Get the default named cache
            Cache cache = factory.GetCache("default");

            // Add a string to the cache
            cache.Put("MyCacheKey", "Hello World");

            // Get the data from the cache
            string s = (string)cache.Get("MyCacheKey");

            Console.WriteLine(s);

            Console.ReadLine();
        }
    }
}
